#include <bits/stdc++.h>
 main()
 {
 	int N,A; 
 	int br_setova;
 	int br_os;
 	scanf("%d %d",&N,&A);
 	
 	if(A*3>N)
 		printf("-1");
 	else
 	{
 		if(N<=20 && A<=20)
 		{
 			br_os=N/A;
			if(br_os>5)
				br_setova=br_os/2;
			else
				br_setova=br_os;
			
			int P[br_setova],Z[br_setova];
			for(int i=0;i<br_setova;i++)
			{
					if(br_setova==3)
					{
						P[i]=A;
						N-=A;
					}
					if(br_setova==4)
					{
						P[i]=A;
						P[1]=N%A;
						N=N-A;	
					}
					if(br_setova==5)
					{
						P[i]=A;
						N=N-A;
						P[1]=0;
						P[2]=0;
					}
			}	
			
			for(int i=0;i<br_setova;i++)
			{
					if(br_setova==3)
					{
						Z[0]=0;
						Z[1]=N;
						Z[2]=0;
					}
					if(br_setova==4)
					{
						Z[i]=N%A;
						Z[1]=A;
					}
					if(br_setova==5)
					{
						Z[i]=A;
					}
			}
			
			for(int i=0;i<br_setova;i++)
			{
				printf("%d %d\n",P[i],Z[i]);
			}
		}
	}
 }